Miracle Docs
Fee assignments

List fee assignments

GET
/v1/admin/fee-assignments
AuthorizationBearer <token>

In: header

Query Parameters

level?string
Value in"terminal" | "platform" | "merchant" | "tenant" | "channel" | "partner"
targetEntityId?string
Formatuuid
feeScheduleId?string
Formatuuid
currency?string
paymentMethod?string
Value in"card" | "bank_transfer" | "wallet" | "bnpl" | "cash" | "qr" | "local" | "google_pay" | "agent_token" | "hosted_page"
status?string
Value in"open" | "closed"
activeOnly?string
Value in"true" | "false"
sortOrder?string
Value in"asc" | "desc"
cursor?string
limit?integer
Default20
Range1 <= value <= 100

Response Body

application/json

curl -X GET "https://<api-host>/v1/admin/fee-assignments"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
      "level": "terminal",
      "targetEntityId": "ffcbe7bd-b93a-4630-87c7-2d0f166f5fc1",
      "feeScheduleId": "658f73ca-684e-4e27-a7e2-4c089dd5e977",
      "currency": "string",
      "paymentMethod": "card",
      "effectiveFrom": "string",
      "effectiveTo": "string",
      "createdAt": "string",
      "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",
      "updatedAt": "string",
      "deletedAt": null
    }
  ],
  "pagination": {
    "nextCursor": "string",
    "prevCursor": "string",
    "hasMore": true,
    "totalCount": 0
  }
}
Empty

On this page